Bug 150151 - Lockd callbacks to NFS clients fail completely
Summary: Lockd callbacks to NFS clients fail completely
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-02 23:09 UTC by Kiersten (Kerri) Anderson
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 15:13:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch 1 of 3 needed to fix lockd callbacks (3.57 KB, patch)
2005-04-13 23:33 UTC, Steve Dickson
no flags Details | Diff
Patch 2 of 3 needed to fix lockd callbacks (3.13 KB, patch)
2005-04-13 23:35 UTC, Steve Dickson
no flags Details | Diff
Patch 3 of 3 needed to fix lockd callbacks (5.28 KB, patch)
2005-04-13 23:36 UTC, Steve Dickson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:420 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 1 2005-06-08 04:00:00 UTC

Description Kiersten (Kerri) Anderson 2005-03-02 23:09:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
Found at Connectathon:

In a nutshell, when a NFS client asks for an exclusive lock and the lock is already held, the client will block (waiting
for the lock). When the lock is released, the server will
call back to the client, granting the lock. The problem
is with the client authenticating that callback. The
client tries to use information from the export cache
which is clearly wrong since the that cache may or may
not exist (being its a server only cache)....

The symptoms of this issue (at least with a Sun and
SGI server) is a continues loop of grant/grant_reply network messages being sent.... 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run Connectathon against SGI and Sun
2.
3.
  

Additional info:

Comment 4 Steve Dickson 2005-04-13 23:33:41 UTC
Created attachment 113130 [details]
Patch 1 of 3 needed to fix lockd callbacks

Comment 5 Steve Dickson 2005-04-13 23:35:12 UTC
Created attachment 113131 [details]
Patch 2 of 3 needed to fix lockd callbacks

Comment 6 Steve Dickson 2005-04-13 23:36:23 UTC
Created attachment 113132 [details]
Patch 3 of 3 needed to fix lockd callbacks

Comment 7 Dave Jones 2005-06-02 04:13:08 UTC
This looks like it got fixed in U1, but wasn't tracked.
Steve, can you confirm we got all the bits included ?

Comment 8 Steve Dickson 2005-06-07 18:36:19 UTC
Yes, it appears this made into U1

Comment 9 Tim Powers 2005-06-08 15:13:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html



Note You need to log in before you can comment on or make changes to this bug.